### Enumeration

# Adw ResponseAppearance

since: 1.2

#### Declaration

    enum Adw.ResponseAppearance

#### Description [src]

Describes the possible styles of `AdwAlertDialog` response buttons.

See `adw_alert_dialog_set_response_appearance()`.

Available since: 1.2

#### Members

`ADW_RESPONSE_DEFAULT`

  The default appearance.

  - Value: `0`
  - Available since: 1.2
`ADW_RESPONSE_SUGGESTED`

  Used to denote important responses such as the affirmative action.

  - Value: `1`
  - Available since: 1.2
`ADW_RESPONSE_DESTRUCTIVE`

  Used to draw attention to the potentially damaging consequences of using the response. This appearance acts as a warning to the user.

  - Value: `2`
  - Available since: 1.2